import { Router } from 'express';
import { authenticate } from '../middlewares/auth.middleware.js';
import * as usersController from '../controllers/users.controller.js';

const router = Router();

router.use(authenticate);

router.get('/me', usersController.get);
router.get('/profile', usersController.getProfile);
router.put('/me', usersController.update);
router.patch('/profile', usersController.updateProfile);
router.delete('/me', usersController.remove);

export default router;